<?php
/**
 * The drawn view file of invoice module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     invoice 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<form method='post' id='ajaxForm' action='<?php echo inlink('drawn', "invoiceID={$invoice->id}")?>'>
  <table class='table table-form'>
    <tr>
      <th class='w-80px'><?php echo $lang->invoice->drawnBy;?></th>
      <td class='w-200px'><?php echo html::select('drawnBy', $users, $this->app->user->account, "class='form-control chosen'");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->invoice->drawnDate;?></th>
      <td><?php echo html::input('drawnDate', helper::now(), "class='form-control form-date'");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->invoice->sn;?></th>
      <td colspan='2'><?php echo html::input('sn', '', "class='form-control'");?></td>
    </tr>
    <?php $this->printExtendFields($invoice, 'table');?>
    <?php if(commonModel::hasPriv('file', 'upload')):?>
    <tr>
      <th><?php echo $lang->invoice->file;?></th>
      <td colspan='2'><?php echo $this->fetch('file', 'buildForm');?></td>
    </tr>
    <?php endif;?>
    <tr>
      <th></th>
      <td colspan='2' class='form-actions'><?php echo html::submitButton();?></td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
