<?php
$userList = array('' => '') + $this->dao->select('account, realname')->from(TABLE_USER)->where('deleted')->eq('0')->andWhere('parent')->eq('')->fetchPairs();
$userList = html::select('parent', $userList, '', "class='form-control'");
$companyPairs = array('') + $this->loadModel('company')->getPairs('all');
$companyList  = html::select('company', $companyPairs, '', "class='form-control chosen'");
$html = <<<EOT
<tr>
  <th>{$lang->user->company}</th>
  <td>{$companyList}</td>
</tr>
<tr class='parentAccount'>
  <th>{$lang->user->parent}</th>
  <td>
    <div class='input-group'>
      {$userList}
    </div>
  </td>
</tr>
EOT;
$realnameHtml = <<<EOT
<div class='input-group'>
  <input type="text" name="realname" id="realname" value="" class="form-control" autocomplete="off">
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='unofficial' id='unofficial' value='1' /> {$lang->user->unofficial}
    </label>
  </span>
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='noSalary' id='noSalary' value='1' /> {$lang->user->noSalary}
    </label>
  </span>
  <span class='input-group-addon'>
    <label class='checkbox-inline'>
      <input type='checkbox' name='dispatch' id='dispatch' value='1' /> {$lang->user->dispatch}
    </label>
  </span>
</div>
EOT;
?>
<script>
$('#realname').parents('tr').after(<?php echo helper::jsonEncode($html);?>);
$('#realname').parent().html(<?php echo helper::jsonEncode($realnameHtml);?>);
$('#parent').chosen();
$('#company').chosen();
</script>
